Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.instrumentation
Interface PreparedQueryCacheInstrument

All Known Subinterfaces:
  PreparedQueryCacheJMXInstrumentMBean

All Known Implementing Classes:
  AbstractPreparedQueryCacheInstrument, PreparedQueryCacheJMXInstrument

    public interface PreparedQueryCacheInstrument

Method Summary
`long` | `getExecutionCount()` Returns number of total execution requests since last reset
`long` | `getExecutionCount(String query)` Returns number of total execution requests since last reset
`long` | `getHitCount()` Returns number of total read requests that have been found in cache since last reset.
`long` | `getHitCount(String query)` Returns number of total read requests that have been found in cache since last reset.
`long` | `getTotalExecutionCount()` Returns number of total exec requests since start.
`long` | `getTotalExecutionCount(String query)` Returns number of total exec requests since start.
`long` | `getTotalHitCount()` Returns number of total read requests that has been found since start.
`long` | `getTotalHitCount(String query)` Returns number of total read requests that has been found since start.
`Set<String>` | `queries()` Returns all queries currently tracked in the cache.
`void` | `reset()` Resets cache statistics
`Date` | `sinceDate()` Returns date since cache statistics collection were last reset.
`Date` | `startDate()` Returns date cache statistics collection started.

Method Detail

### getTotalExecutionCount

    long getTotalExecutionCount()

  Returns number of total exec requests since start.

### getTotalExecutionCount

    long getTotalExecutionCount(String query)

  Returns number of total exec requests since start.

### getExecutionCount

    long getExecutionCount()

  Returns number of total execution requests since last reset

### getExecutionCount

    long getExecutionCount(String query)

  Returns number of total execution requests since last reset

### getHitCount

    long getHitCount()

  Returns number of total read requests that have been found in cache since last reset.

### getHitCount

    long getHitCount(String query)

  Returns number of total read requests that have been found in cache since last reset.

### getTotalHitCount

    long getTotalHitCount()

  Returns number of total read requests that has been found since start.

### getTotalHitCount

    long getTotalHitCount(String query)

  Returns number of total read requests that has been found since start.

### reset

    void reset()

  Resets cache statistics

### sinceDate

    Date sinceDate()

  Returns date since cache statistics collection were last reset.

### startDate

    Date startDate()

  Returns date cache statistics collection started.

### queries

    Set<String> queries()

  Returns all queries currently tracked in the cache.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.